/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: MD5.java,v 1.9 2004/02/08 02:59:39 vgritsenko Exp $
 */

package org.apache.xindice.util;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * TODO: Not used. Remove?
 * @version CVS $Revision: 1.9 $, $Date: 2004/02/08 02:59:39 $
 */
public class MD5 {
    private static String[] hex = {"0", "1", "2", "3", "4", "5", "6", "7",
                                   "8", "9", "a", "b", "c", "d", "e", "f"};

    public static String md(String pswd) {
        MessageDigest md;
        String digestString = "";

        try {
            md = MessageDigest.getInstance("MD5");
            md.update(pswd.getBytes("utf-8"));

            byte[] digest = md.digest();

            digestString = byteArrayToHexString(digest);
        } catch (NoSuchAlgorithmException e) {
            System.out.println("MD5 not supported.");
            e.printStackTrace(System.err);
        } catch (Exception e) {
            e.printStackTrace(System.err);
        }

        return digestString;
    }

    static String byteToHexString(byte b) {
        int n = b;

        if (n < 0) {
            n = 256 + n;
        }
        
        int d1 = n / 16;
        int d2 = n % 16;

        return hex[d1] + hex[d2];
    }

    static String byteArrayToHexString(byte[] b) {
        StringBuffer result = new StringBuffer(b.length * 2);

        for (int i = 0; i < b.length; ++i) {
            result.append(byteToHexString(b[i]));
        }
        
        return result.toString();
    }
}
