@echo off
rem ----------------------------------------------------------------------------
rem build.bat - Win32 Build Script for Apache Xindice
rem
rem $Id: build.bat,v 1.9 2003/12/31 02:23:11 vgritsenko Exp $
rem ----------------------------------------------------------------------------

rem ----- Create endorsed lib for the Java -------------------------------------
if not exist "build" mkdir build
if not exist "build\endorsed" mkdir build\endorsed
if not exist "build\endorsed\xerces*.jar" copy java\lib\xerces*.jar build\endorsed
if not exist "build\endorsed\xalan*.jar" copy java\lib\xalan*.jar build\endorsed
if not exist "build\endorsed\xml-api*.jar" copy java\lib\xml-api*.jar build\endorsed

rem ----- Java 1.3 support
if not exist "tools\lib\xerces*.jar" copy java\lib\xerces*.jar tools\lib
if not exist "tools\lib\xalan*.jar" copy java\lib\xalan*.jar tools\lib
if not exist "tools\lib\xml-api*.jar" copy java\lib\xml-api*.jar tools\lib

rem ----- Verify and Set Required Environment Variables ------------------------

rem ----- Ignore system CLASSPATH variable
set OLD_CLASSPATH=%CLASSPATH%
set CLASSPATH=

rem ----- Use Java in JAVA_HOME if JAVA_HOME is set.
set OLD_PATH=%PATH%
if "%JAVA_HOME%" == "" goto noJavaHome
echo Using Java from %JAVA_HOME%
set PATH=%JAVA_HOME%\bin
:noJavaHome

rem ----- Use Ant shipped with Cocoon. Ignore installed in the system Ant
set OLD_ANT_HOME=%ANT_HOME%
set ANT_HOME=tools

rem ----- Set endorsed library path to be used by Ant
set OLD_ANT_OPTS=%ANT_OPTS%

call %ANT_HOME%\bin\ant -Djava.endorsed.dirs=build\endorsed -logger org.apache.tools.ant.NoBannerLogger %1 %2 %3 %4 %5 %6 %7 %8 %9

rem ----- Restore ANT_OPTS
set ANT_OPTS=%OLD_ANT_OPTS%
set OLD_ANT_OPTS=

rem ----- Restore ANT_HOME
set ANT_HOME=%OLD_ANT_HOME%
set OLD_ANT_HOME=

rem ----- Restore PATH
set PATH=%OLD_PATH%
set OLD_PATH=

rem ----- Restore CLASSPATH
set CLASSPATH=%OLD_CLASSPATH%
set OLD_CLASSPATH=
