/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: XPathQueryServiceImpl.java,v 1.8 2004/02/08 02:43:02 vgritsenko Exp $
 */

package org.apache.xindice.client.xmldb.services;

import org.xmldb.api.modules.XPathQueryService;

/**
 * XML:DB XPathQueryService implementation that uses XML-RPC communication
 * with server
 *
 * @author <a href="mailto:james.bates@amplexor.com">James Bates</a>
 * @version CVS $Revision: 1.8 $, $Date: 2004/02/08 02:43:02 $
 */
public class XPathQueryServiceImpl extends QueryService implements XPathQueryService {

    /**
     * Creates new XPathQueryService
     */
    public XPathQueryServiceImpl() {

        super();
        queryLang = "XPath";
    }
}
