/*
 * Copyright 1999-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * CVS $Id: InsertDocument.java,v 1.6 2004/02/08 02:54:17 vgritsenko Exp $
 */

package org.apache.xindice.server.rpc.messages;

import org.apache.xindice.core.Collection;
import org.apache.xindice.server.rpc.RPCDefaultMessage;
import org.apache.xindice.xml.dom.DOMParser;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.w3c.dom.Document;

import java.util.Hashtable;

/**
 * @deprecated Replaced with InsertResource which also handles binary data
 * @version CVS $Revision: 1.6 $, $Date: 2004/02/08 02:54:17 $
 */
public class InsertDocument extends InsertResource {

    private static final Log log = LogFactory.getLog(InsertDocument.class);

    public Hashtable execute(Hashtable message) throws Exception {
        log.warn("Please use GetResource instead. GetResource supports same as GetDocument, plus binary resources");
        return super.execute(message);
    }
}
